<!-- <form [formGroup]="checkoutForm">
  <input type="text" placeholder="Enter your name" formControlName="fullname" />
  <div class="container py-5 row gap-3 mx-auto" formArrayName="address">
    <div class="" *ngFor="let addressForms of address.controls">
      <div class="" [formGroup]="addressForms"></div>
      <input
        type="text"
        placeholder="Enter your address"
        formControlName="name"
      />
    </div>

    <button class="btn btn-success" (click)="onAddAddress()">
      add address
    </button>
  </div>
</form> -->

<!-- <h3>Add Course Lessons:</h3>
<form class="add-lessons-form" [formGroup]="form" (ngSubmit)="onSubmit()">
  <ng-container formArrayName="lessons">
    <ng-container *ngFor="let lessonForm of lessons.controls; let i = index">
      <div class="lesson-form-row" [formGroup]="lessonForm">
        <input matInput formControlName="title" placeholder="Lesson title" />

        <select formControlName="level" placeholder="Lesson level">
          <option value="beginner">Beginner</option>
          <option value="intermediate">Intermediate</option>
          <option value="advanced">Advanced</option>
        </select>

        <button class="delete-btn" (click)="deleteLesson(i)">
          delete_forever
        </button>
      </div>
    </ng-container>
  </ng-container>

  <button class="btn btn-success" (click)="addLesson()">add</button>
  <button type="submit" class="btn btn-success" (click)="addLesson()">
    submit
  </button>
</form> -->
